package com.cool.store.enums;

/**
 * @Author: WangShuo
 * @Date: 2025/04/07/17:03
 * @Version 1.0
 * @注释:
 */
public enum DownSystemTypeEnum {
    XGJ(1,"新管家"),
    POS(2,"POS");
    private Integer code;
    private String desc;
    DownSystemTypeEnum(Integer code,String desc){
        this.code = code;
        this.desc = desc;
    }
    public Integer getCode() {
        return code;
    }
    public String getDesc() {
        return desc;
    }

    public static DownSystemTypeEnum getByCode(Integer code){
        for (DownSystemTypeEnum value : DownSystemTypeEnum.values()) {
            if(value.getCode().equals(code)){
                return value;
            }
        }
        return null;
    }
}
